<?xml version="1.0"?>
<PropertySetDef xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" ifdguid="eb51e570af63460f89c20659b16e15e6" templatetype="" xsi:noNamespaceSchemaLocation="http://buildingSMART-tech.org/xml/psd/PSD_IFC4.xsd">
  <IfcVersion version="IFC4" />
  <Name>Pset_BACnetMulti-stateOutputObject</Name>
  <Applicability />
  <ApplicableClasses>
    <ClassName>IfcController/MULTIPOSITION</ClassName>
  </ApplicableClasses>
  <ApplicableTypeValue>IfcController/MULTIPOSITION</ApplicableTypeValue>
  <PropertyDefs>
    <PropertyDef ifdguid="4aed6718cd1e489b836c89c38ca62087">
      <Name>Status Flags</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>IN_ALARM</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>FAULT</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OVERRIDEN</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OUT_OF_SERVICE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="6feec04528064fb99d1563e2f50c690f">
      <Name>Event State</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>NORMAL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OFFNORMAL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>FAULT</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="b37d55cb7db24c85b08a7eba28ea6832">
      <Name>Out of Service</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcBoolean" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="4bb46be5045e4d8eb84bf33abc66957e">
      <Name>Number of States</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcInteger" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="4c7864d52418408aa4989bfcc25c6055">
      <Name>Priority Array</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>NULL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>REAL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>ENUMERATED</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>UNSIGNED</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>INTEGER</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>DOUBLE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>TIME</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>CHARATERSTRING</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OCETESTRING</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>BITSTRING</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>DATE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>BACNETOBJECTIDENTIFIER</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>ABSTRACTSYNTAX.&amp;TYPE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>BACNETDATETIME</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="0c0a4cd1a8a24c878c071f9bb0d9f98c">
      <Name>RelinquishDefault</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcReal" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="836e56d9d8ed4e7b8f6af06d5d179143">
      <Name>Current Command Priority</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcInteger" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
  </PropertyDefs>
  <PsetDefinitionAliases />
</PropertySetDef>